: Class Addressee

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.composition
Class Addressee

    java.lang.Object
      |
      +--grendel.composition.Addressee

public class Addressee
extends java.lang.Object

Field Summary
`static int` | `BCC`
`static int` | `CC`
`static int` | `FOLLOWUP_TO`
`static int` | `GROUP`
`static java.lang.String[]` | `mDeliveryStr`
`static int` | `REPLY_TO`
`static int` | `TO`

Constructor Summary
`Addressee()`
`Addressee(javax.mail.Address addr, int delivery)`
`Addressee(java.lang.String aAddress, int aDelivery)`

Method Summary
`java.lang.String` | `deliveryString()`
`protected static int` | `deliveryToInt(java.lang.String deliverString)`
`static java.lang.String` | `deliveryToString(int aDelivery)`
`int` | `getDelivery()`
`static java.lang.String` | `getDeliveryTitle()`
`static java.lang.String` | `getLongestString()`
`java.lang.String` | `getText()`
`void` | `init(java.lang.String aAddress, int aDelivery)`
`void` | `setDelivery(int aDelivery)`
`void` | `setText(java.lang.String aAddress)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TO

    public static final int TO

### CC

    public static final int CC

### BCC

    public static final int BCC

### GROUP

    public static final int GROUP

### REPLY_TO

    public static final int REPLY_TO

### FOLLOWUP_TO

    public static final int FOLLOWUP_TO

### mDeliveryStr

    public static final java.lang.String[] mDeliveryStr

Constructor Detail

### Addressee

    public Addressee(java.lang.String aAddress,
                     int aDelivery)

### Addressee

    public Addressee()

### Addressee

    public Addressee(javax.mail.Address addr,
                     int delivery)

Method Detail

### init

    public void init(java.lang.String aAddress,
                     int aDelivery)

### getText

    public java.lang.String getText()

### setText

    public void setText(java.lang.String aAddress)

### getDelivery

    public int getDelivery()

### setDelivery

    public void setDelivery(int aDelivery)

### deliveryString

    public java.lang.String deliveryString()

### getLongestString

    public static java.lang.String getLongestString()

### getDeliveryTitle

    public static java.lang.String getDeliveryTitle()

### deliveryToString

    public static java.lang.String deliveryToString(int aDelivery)

### deliveryToInt

    protected static int deliveryToInt(java.lang.String deliverString)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD